Todo 부분 수정
curl --request PATCH \
--url https://openapi.pluuug.com/v1/todo/{todo_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>' \
--data '
{
"inCharge": {
"id": 123
},
"completedInCharge": {
"id": 123
},
"dueDate": "2023-12-25",
"dueTime": "<string>",
"action": "<string>",
"actionHistory": "<string>",
"isComplete": true,
"completedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://openapi.pluuug.com/v1/todo/{todo_id}"
payload = {
"inCharge": { "id": 123 },
"completedInCharge": { "id": 123 },
"dueDate": "2023-12-25",
"dueTime": "<string>",
"action": "<string>",
"actionHistory": "<string>",
"isComplete": True,
"completedAt": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-Key': '<api-key>',
'X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
inCharge: {id: 123},
completedInCharge: {id: 123},
dueDate: '2023-12-25',
dueTime: '<string>',
action: '<string>',
actionHistory: '<string>',
isComplete: true,
completedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://openapi.pluuug.com/v1/todo/{todo_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"inquiry": {
"id": 123,
"uniqueId": "<string>",
"name": "<string>"
},
"dueDate": "2023-12-25",
"action": "<string>",
"dDay": 123,
"created": "2023-11-07T05:31:56Z",
"inCharge": {
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
},
"completedInCharge": {
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
},
"dueTime": "<string>",
"actionHistory": "<string>",
"isComplete": true,
"completedAt": "2023-11-07T05:31:56Z"
}{
"nonField": [
"<string>"
],
"inCharge": {
"id": [
"<string>"
]
},
"completedInCharge": {
"id": [
"<string>"
]
},
"type": [
"<string>"
],
"dueDate": [
"<string>"
],
"dueTime": [
"<string>"
],
"action": [
"<string>"
],
"actionHistory": [
"<string>"
],
"isComplete": [
"<string>"
],
"completedAt": [
"<string>"
]
}Todo
Todo 부분 수정
Todo 정보를 부분 수정합니다. 완료 처리 (is_completed=true)할 때 completed_in_charge가 자동 설정됩니다. 별도 알림은 발송되지 않습니다.
PATCH
/
v1
/
todo
/
{todo_id}
Todo 부분 수정
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
담당자
Show child attributes
Show child attributes
완료한 담당자
Show child attributes
Show child attributes
타입
M- 미팅CA- 전화MS- 메시지E- 기타
Available options:
M, CA, MS, E 예정일
예정 시간
액션
Required string length:
1 - 2048액션 히스토리
Minimum string length:
1완료 여부
완료 일시
Response
의뢰
Show child attributes
Show child attributes
타입
M- 미팅CA- 전화MS- 메시지E- 기타
Available options:
M, CA, MS, E 예정일
액션
Maximum string length:
2048D-Day
생성일시
담당자
Show child attributes
Show child attributes
완료한 담당자
Show child attributes
Show child attributes
예정 시간
액션 히스토리
완료 여부
완료 일시
⌘I